# rofi_nheko
A rofi plugins for [nheko](https://github.com/Nheko-Reborn/nheko) rooms.

![screenshot](screenshot.png)

## Build
Requirements:
- a master build of the zig compiler
- rofi and it's dependencies
- `gdbus-codegen`
- [gyro](https://github.com/mattnite/gyro)
```bash
gyro build -Drelease-fast
```
Find the artifacts in `zig-out/lib`.

## Installation
The build shared object must be copied to rofi's plugin path. By default, this is `/usr/lib/rofi`, but this can be expanded by using the `ROFI_PLUGIN_PATH` environment variable.

## Running
This plugin can be ran simply by executing `rofi -show nheko`.

Make sure nheko's DBus interface is enabled in the settings.
